Bug 1087146 - (6.4.0) IllegalArgumentException occurs while accessing the handler information via JMX MBean?
Summary: (6.4.0) IllegalArgumentException occurs while accessing the handler informati...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMX
Version: 6.1.0
Hardware: All
OS: All
medium
medium
Target Milestone: DR5
: EAP 6.4.0
Assignee: James Perkins
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1152929
TreeView+ depends on / blocked
 
Reported: 2014-04-14 05:07 UTC by Jay SenSharma
Modified: 2019-08-19 12:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1152929 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
A Simple Web App as a reproducer of the issue (1.76 KB, application/zip)
2014-04-14 05:14 UTC, Jay SenSharma
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3255 Major Closed IllegalArgumentException occurs while accessing the handler information via JMX MBean? 2018-05-28 10:09:27 UTC

Description Jay SenSharma 2014-04-14 05:07:11 UTC
Description of problem:
------------------------
While trying to get the "hendler" information via JMX code the following kind of exception is encountered:

{code}
10:33:39,017 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 1) JBAS018559: Deployed "LoggerJMX.war" (runtime-name : "LoggerJMX.war")
10:33:43,030 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/LoggerJMX].[jsp]] (http-/127.0.0.1:8080-1) JBWEB000236: Servlet.service() for servlet jsp threw exception: java.lang.IllegalArgumentException
	at org.jboss.dmr.ModelValue.getChild(ModelValue.java:108)
	at org.jboss.dmr.ModelNode.get(ModelNode.java:798)
	at org.jboss.as.jmx.model.TypeConverters$ComplexTypeConverter.fromModelNode(TypeConverters.java:537)
	at org.jboss.as.jmx.model.TypeConverters$ListTypeConverter.fromModelNode(TypeConverters.java:443)
	at org.jboss.as.jmx.model.TypeConverters.fromModelNode(TypeConverters.java:113)
	at org.jboss.as.jmx.model.ModelControllerMBeanHelper.getAttribute(ModelControllerMBeanHelper.java:228)
	at org.jboss.as.jmx.model.ModelControllerMBeanHelper.getAttribute(ModelControllerMBeanHelper.java:189)
	at org.jboss.as.jmx.model.ModelControllerMBeanServerPlugin.getAttribute(ModelControllerMBeanServerPlugin.java:88)
	at org.jboss.as.jmx.PluggableMBeanServerImpl.getAttribute(PluggableMBeanServerImpl.java:171)
	at org.apache.jsp.index_jsp._jspService(index_jsp.java:73)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:559) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]
{code}



Version-Release number of selected component (if applicable):


How reproducible:
Steps to Reproduce:
- Deploy the  attached WAR "LoggerJMX.war"

- Set the "org.jboss.as.config" logger as following in your standalone.xml file:
{code}
            <logger category="org.jboss.as.config">
                <handlers>
                    <handler name="CONSOLE"/>
                </handlers>
                <level name="DEBUG"/>
            </logger>
{code}

- Access the JSP page of the deployed application as following: 
http://localhost:8080/LoggerJMX/


Actual results:
================= 
Above mentioned IllegalStateException encountered.


Expected results:
=================
JMX should have returned the actual Handler information.

Additional info:

Comment 1 Jay SenSharma 2014-04-14 05:14:24 UTC
Created attachment 886010 [details]
A Simple Web App as a reproducer of the issue

This testcase can be used to reproduce the issue.

Comment 6 Jan Martiska 2014-10-20 08:50:59 UTC
Verified in EAP 6.4.0.DR5.


Note You need to log in before you can comment on or make changes to this bug.